SystemOrganization addCategory: #'TAIS-TestBuscaMinas'!

TestCase subclass: #CeldaTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TAIS-TestBuscaMinas'!

!CeldaTest methodsFor: 'testing - accessing' stamp: 'GEPG 6/16/2012 12:45'!
testAsignarValor
	"comment stating purpose of message"

	| celda tmp |
	celda := Celda new.
	tmp := celda asignarValor.! !

!CeldaTest methodsFor: 'testing - accessing' stamp: 'GEPG 6/16/2012 12:44'!
testEsMina
	"comment stating purpose of message"

	| celda tmp |
	celda := Celda new.
	tmp := celda esMina.! !

!CeldaTest methodsFor: 'testing - initialization' stamp: 'GEPG 6/16/2012 12:27'!
testNuevaCelda
	"comment stating purpose of message"

	| celda |
	celda := Celda new.
	self assert: celda borderWidth = 2.! !

TestCase subclass: #TableroTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TAIS-TestBuscaMinas'!

!TableroTest methodsFor: 'testing - accessing' stamp: 'GEPG 6/16/2012 12:36'!
testCells
	"comment stating purpose of message"

	| tablero celdas |
	tablero := Tablero new.
	celdas := tablero cells.! !

!TableroTest methodsFor: 'testing - logica de juego' stamp: 'GEPG 6/16/2012 12:43'!
testDestapar
	| tablero temp|
	tablero := Tablero new.
	temp := tablero destaparCeldaAt: 2 at: 1.! !

!TableroTest methodsFor: 'testing - initialization' stamp: 'GEPG 6/16/2012 12:26'!
testNuevoTablero
	

	| tablero casilla width height n |
	casilla := Celda new.
	tablero := Tablero new.
	width := casilla width.
	height := casilla height.
	n := tablero cellsPerSide.
	self assert: (tablero bounds) = (5@5 extent: ((width*n)@(height*n)) + (2 * tablero borderWidth)).! !
